org.modeshape.jcr.cache

## Class DocumentAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.jcr.cache.DocumentStoreException
        - - org.modeshape.jcr.cache.DocumentAlreadyExistsException

- All Implemented Interfaces:
    Serializable

      public class DocumentAlreadyExistsException
      extends DocumentStoreException

  An exception signalling that a document could not be created because one already exists in the database.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentAlreadyExistsException(String key)`
    `DocumentAlreadyExistsException(String key, String message)`
    `DocumentAlreadyExistsException(String key, String message, Throwable cause)`
    `DocumentAlreadyExistsException(String key, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class org.modeshape.jcr.cache.DocumentStoreException

      `getKey, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentAlreadyExistsException

          public DocumentAlreadyExistsException(String key)

      Parameters:
        `key` - the key for the node that does not exist

    - #### DocumentAlreadyExistsException

          public DocumentAlreadyExistsException(String key,
                                        String message)

      Parameters:
        `key` - the key for the node that does not exist
        `message` - the message

    - #### DocumentAlreadyExistsException

          public DocumentAlreadyExistsException(String key,
                                        Throwable cause)

      Parameters:
        `key` - the key for the node that does not exist
        `cause` - the cause of this exception

    - #### DocumentAlreadyExistsException

          public DocumentAlreadyExistsException(String key,
                                        String message,
                                        Throwable cause)

      Parameters:
        `key` - the key for the node that does not exist
        `message` - the message
        `cause` - the cause of this exception

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.